Apache C++ Standard Library Reference Guide

## invalid_argument

Library: Diagnostics

    invalid_argument  logic_error  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <stdexcept>

### Description

Objects of class invalid_argument are thrown when a parameter is invalid. The class is derived from logic_error, and thrown by bitset, fstream, and others.

### Interface

    namespace std {
      class invalid_argument : public logic_error {
      public:
        explicit invalid_argument(const string& what_arg);
      };
    }

### See Also

Exceptions, bad_alloc, bad_cast, bad_exception, bad_typeid, domain_error, exception, ios_base::failure, length_error, logic_error, out_of_range, overflow_error, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 19.1.3